var mouse_event_timer;

/* STAD - "Show Tip After Delay */
function STAD( event, rank, samples, parameter, extra ) {
	var xpos = event.clientX;
	var ypos = event.clientY;
	clearTimeout( mouse_event_timer );
	mouse_event_timer = setTimeout( function() { show_tip( xpos, ypos, rank, samples, parameter, extra ); }, 150 );
}

function pp_STAD( event, rating, rank, samples, cores, extra, speed ) {
	var xpos = event.clientX;
	var ypos = event.clientY;
	clearTimeout( mouse_event_timer );
	mouse_event_timer = setTimeout( function() { pp_show_tip( xpos, ypos, rating, rank, samples, cores, extra, speed ); }, 150 );
}

/* HTAD - "Hide Tip After Delay */
function HTAD( ) {
	clearTimeout( mouse_event_timer );
	mouse_event_timer = setTimeout( function() { hide_tip(); }, 150 );
}

function show_tip( xpos, ypos, rank, samples, parameter, extra ) {

	var tooltip = document.getElementById('tip');
	tooltip.style.left = (xpos+3) + 'px';
	tooltip.style.top = (ypos+3) + 'px';
	
	if( parameter )
	{
		if( parameter == "PassMark" )
			tooltip.innerHTML = "Rank: " + rank + "<br>Number of Samples: " + samples + "<br>CPUMark: " + extra + "<br>";
		else if( parameter == "CPUMark" )
			tooltip.innerHTML = "Rank: " + rank + "<br>Number of Samples: " + samples + "<br>Num Cores: " + extra + "<br>";	
		else if( parameter == "MemMark" )
			tooltip.innerHTML = "Rank: " + rank + "<br>Number of Samples: " + samples + "<br>RAM Size: ~" + Math.round(extra/1024) + " MB<br>";					
	}
	else
		tooltip.innerHTML = "Rank: " + rank + "<br>Number of Samples: " + samples + "<br>";			
	
	tooltip.style.visibility='visible';
}


function pp_show_tip( xpos, ypos, rating, rank, samples, cores, extra, speed ) {

	var tooltip = document.getElementById('tip');
	tooltip.style.left = (xpos+3) + 'px';
	tooltip.style.top = (ypos+3) + 'px';
	
	if( extra ) {
		if( extra.indexOf('%') != -1 ) {
			tooltip.innerHTML = "Rating: " + rating + "<br>Rank: " + rank + "<br>Number of Samples: " + samples + "<br>Average CPU Speed: " + speed + " Mhz<br>% Clockspeed Increase: " + extra + "<br>Number of Cores: " + cores + "<BR>";
		} else {
			tooltip.innerHTML = "Marketshare: " + rating + "%<br>Rank: " + rank + "<br>Rating: " + extra + "<br>Number of Samples: " + samples + "<br>Number of Cores: " + cores + "<br>";
		}		
	} else {
		tooltip.innerHTML = "Rating: " + rating + "<br>Rank: " + rank + "<br>Number of Samples: " + samples + "<br>Number of Cores: " + cores + "<br>";			
	}
	
	tooltip.style.visibility='visible';
}


function hide_tip( ) {
	var tooltip = document.getElementById('tip');
	tooltip.style.visibility='hidden';
}

function isNumber(n) {
  return !isNaN(parseFloat(n)) && isFinite(n);
}
